<!DOCTYPE html>
<html lang="en">
    <head>

        <meta charset="utf-8"/>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
        <link rel="shortcut icon" href="img/favicon.ico"/>

        <title>Wings Mobile - Regularización de deuda</title>

        <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
        <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.bundle.min.js" integrity="sha384-pjaaA8dDz/5BgdFUPX6M/9SUZv4d12SUPF0axWc+VRZkx5xU3daN+lYb49+Ax+Tl" crossorigin="anonymous"></script>
        <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
        <script src="https://payments.tefpay.com/js/iframe.js"></script>

    </head>

    <body class="app">


        <div class="row">
            <div class="col-lg-6 offset-3">
                <br/>    
                <div class="card">
                    <div class="card-header">
                        <i class="fa fa-credit-card"></i> Pago Total
                    </div>
                    <div class="card-block">

                        <div th:if="${error != null && error == 'Token Inválido'}">
                            <p class="text-muted">Comuníquese con atención al cliente para obtener un nuevo enlace - Atención al cliente: (+34) 900 838 137 - atencionalcliente@wingsmobile.es</p>
                        </div>

                        <div th:if="${error == null}">
                            <div class="row">
                                <div class="col-12">
                                    <div class="card">
                                        <div class="card-block p-3 clearfix">
                                            <div class="pull-right"><img th:src="@{/img/logo_clean.png}" width="50"/></div>
                                            <h5>Cliente: <strong><span th:text="${rem.client}"></span></strong></h5>
                                            <div class="h5 text-primary mb-0 mt-2">Monto a pagar: <span th:text="${totalText}"></span></div>
                                            <br/>


<!--                                            <div class="row" th:each="invoice : ${invoices}">
                                                <div class="col-6">
                                                    <div class="text-muted font-xs">
                                                        Factura: <span th:text="${invoice.invoiceNumber}"></span> -
                                                        <span th:text="${invoice.month + '/' + invoice.year}"></span> -
                                                        <span th:text="${invoice.getTotalText()}"></span>                                                        
                                                    </div>
                                                </div>
                                            </div>-->


                                        </div>
                                    </div>
                                </div>                                
                            </div>

                            <div class="card" th:if="${!isResponse}">
                                <div class="card-header">
                                    Complete el formulario siguiente para realizar el pago.
                                </div>

                                <div class="card-block">
                                    <div id="tefpayBox" class="center-block">
                                        <form id="tefpayData" th:action="${payUrl}">
                                            <input id="Ds_Merchant_Url" name="Ds_Merchant_Url" type="hidden" th:value="${Ds_Merchant_Url}" value="http://localhost/store/wizard?msg=url" />
                                            <input id="Ds_Merchant_UrlOK" name="Ds_Merchant_UrlOK" type="hidden" th:value="${Ds_Merchant_UrlOK}" value="http://localhost/store/wizard?msg=ok"/>
                                            <input id="Ds_Merchant_UrlKO" name="Ds_Merchant_UrlKO" type="hidden" th:value="${Ds_Merchant_UrlKO}" value="http://localhost/store/wizard?msg=error" />
                                            <input id="Ds_Merchant_MerchantCode" name="Ds_Merchant_MerchantCode" type="hidden" th:value="${Ds_Merchant_MerchantCode}" value="V99000231" />
                                            <input id="Ds_Merchant_Amount" name="Ds_Merchant_Amount" type="hidden" th:value="${Ds_Merchant_Amount}" value="0"/>
                                            <input id="Ds_Merchant_MerchantSignature" name="Ds_Merchant_MerchantSignature" type="hidden" th:value="${Ds_Merchant_MerchantSignature}" value="f3ba8a48c0387a029b6c34072de5c592df8495e8" />
                                            <input id="Ds_Merchant_TransactionType" name="Ds_Merchant_TransactionType" type="hidden" th:value="${Ds_Merchant_TransactionType}" value="22" />
                                            <input id="Ds_Merchant_MatchingData" name="Ds_Merchant_MatchingData" type="hidden" th:value="${Ds_Merchant_MatchingData}" value="123456789123456789000" />
                                            <input id="Ds_Merchant_UserName" name="Ds_Merchant_UserName" type="hidden" th:value="${Ds_Merchant_UserName}" value="Test test" />
                                            <input id="Ds_Merchant_Name" name="Ds_Merchant_Name" type="hidden" th:value="${Ds_Merchant_Name}" value="Wings Mobile" />
                                            <input id="Ds_Merchant_Logo" name="Ds_Merchant_Logo" type="hidden" th:value="${Ds_Merchant_Logo}" value="Wings Mobile" />
                                            <input id="Ds_Merchant_Description" name="Ds_Merchant_Description" type="hidden" th:value="${Ds_Merchant_Description}" value="Wings Mobile" />
                                            <input id="Ds_Merchant_Lang" name="Ds_Merchant_Lang" type="hidden" th:value="${Ds_Merchant_Lang}" value="es" />
                                            <input id="Ds_Merchant_Currency" name="Ds_Merchant_Currency" type="hidden" th:value="${Ds_Merchant_Currency}" value="978" />
                                            <input id="Ds_Merchant_TemplateNumber" name="Ds_Merchant_TemplateNumber" type="hidden" value="07" />
                                            <input id="Ds_Merchant_TemplateTheme" name="Ds_Merchant_TemplateTheme" type="hidden" value="white" />
                                            <input id="Ds_Merchant_TemplateFonts" name="Ds_Merchant_TemplateFonts" type="hidden" value="default"/>
                                        </form>
                                    </div>

                                    <script th:inline="javascript">
                                        /*<![CDATA[*/
                                        if (TefpayIframe.init()) {
                                            var url = /*[[${payUrl}]]*/ '';
                                            TefpayIframe.configure(url, "100%");
                                            TefpayIframe.load();
                                        }
                                        /*]]>*/
                                    </script>

                                </div>
                            </div>

                            <div class="card" th:if="${isResponse}">
                                <div class="card-block">

                                    <div id="alertdiv" class="alert alert-success" th:if="${!errorMessage}">
                                        <span th:text="${message}"></span>
                                    </div>

                                    <div id="alertdiv" class="alert alert-danger" th:if="${errorMessage}">
                                        <span th:text="${message}"></span>
                                    </div>

                                </div>
                            </div>

                        </div>

                    </div>
                </div>       

            </div>                
        </div>

    </body>
</html>











